local _G = getfenv(0)
local L = _G.YurrCombatLogOptionsLocale
local db

local core = YurrCombatLog
local module = core:NewModule("YurrCombatLogOptions")

function module:Initialize()
	db = core.db[core.db:GetCurrentProfile()]
end

local frames = {
	[1] = "ChatFrame1",
	[2] = "ChatFrame2",
	[3] = "ChatFrame3",
	[4] = "ChatFrame4",
	[5] = "ChatFrame5",
	[6] = "ChatFrame6",
	[7] = "ChatFrame7",
}

local frame = CreateFrame("Frame", nil, InterfaceOptionsFramePanelContainer)
frame.name = "YurrCombatLog"
frame:Hide()
frame:SetScript("OnShow", function(frame)
	local title, subtitle = LibStub("tekKonfig-Heading").new(frame, "YurrCombatLog", L["WhatIsYurrCombatLog"])
	
	-- outputFrame
	local outputFrameDropdown, outputFrameDropdowntext, outputFrameDropdowncontainer = LibStub("tekKonfig-Dropdown").new(frame, L["outputFrame"], "TOPLEFT", subtitle, "BOTTOMLEFT", -2, -8)
	outputFrameDropdowntext:SetText(db.outputFrame)
	outputFrameDropdown.tiptext = L["Desc_outputFrame"]
	outputFrameDropdown:SetWidth(170)

	local function outputFrameOnClick(self)
		UIDropDownMenu_SetSelectedValue(outputFrameDropdown, self.value)
		outputFrameDropdowntext:SetText(self.value)
		db.outputFrame = self.value
	end
	UIDropDownMenu_Initialize(outputFrameDropdown, function()
		local selected, info = UIDropDownMenu_GetSelectedValue(outputFrameDropdown) or db.outputFrame, UIDropDownMenu_CreateInfo()

		for k, v in pairs(frames) do
			info.text = v
			info.value = v
			info.func = outputFrameOnClick
			info.checked = (v) == selected
			UIDropDownMenu_AddButton(info)
		end
	end)
	
	frame:SetScript("OnShow", nil)
end)

InterfaceOptions_AddCategory(frame)
LibStub("tekKonfig-AboutPanel").new("YurrCombatLog", "YurrCombatLog")
